function [fn,dfn_dy]=eval_fn(y_lin);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This M-file shall contain MATLAB-code for evaluation of the static
% nonlinearity and the corresponding derivative, given an output value
% of the linear dynamic part of the Wiener model of the algorithms I-V.
%
% Variables:	y_lin = output value of linear block of Wiener model
%              fn = f(y_lin) where f(.) denotes the static nonlinearity
%              dfn_dy = df/dy(y_lin) where df/dy denotes the derivative of f
%     
% Additional variables may be introduced by the user when implementing a 
% particular nonlinearity.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This implements the valve model with qm=ym=1.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
alfa=0.10;
fn=y_lin/sqrt(alfa+(1-alfa)*y_lin*y_lin);
dfn_dy=alfa/(alfa+(1-alfa)*y_lin*y_lin);
dfn_dy=dfn_dy/sqrt(alfa+(1-alfa)*y_lin*y_lin);
if fn>1
  fn=1;
  dfn_dy=0;
end;
if fn<0
  fn=0;
  dfn_dy=0;
end;
